//+------------------------------------------------------------------+
//|                                                  MyTrendLine.mq4 |
//|                                                      TRO_masemus |
//+------------------------------------------------------------------+
#property copyright "TRO_masemus"

#property indicator_chart_window

extern int start.tl = 20 ;
extern int end.tl = 1 ;
extern color color.tl = Aqua ;
extern int start.cl = 14 ;
extern int end.cl = 1 ;
extern color color.cl = Yellow ;
extern int start.hi = 14 ;
extern int end.hi = 1 ;
extern color color.hi = Red ;
extern int start.lo = 14 ;
extern int end.lo = 1 ;
extern color color.lo = Blue ;

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{

/*
my trendline :
conected prev. bar(14) to bar(1)
:: close to close as Pivot
:: high to high as Res.
:: low to low as Sup.

:: open bar below Pivot = SELL.
:: open bar above Pivot = BUY.

:: will impact == angle and crossed of those trendline, especially crossed @ current TF.

i learn the history (back view) and forward test @ TF W1, D1, H4 & H1 with a good result.
and will test @ lower TF after i have that auto TrendLine, maybe you can help to make it.
*/

ObjectCreate("Trend DN-0",OBJ_TREND,0,0,0,0,0);
ObjectSet("Trend DN-0",OBJPROP_COLOR,color.tl);

ObjectCreate("Trend DN-1",OBJ_TREND,0,0,0,0,0);
ObjectSet("Trend DN-1",OBJPROP_COLOR,color.cl);


ObjectCreate("Trend DN-2",OBJ_TREND,0,0,0,0,0);
ObjectSet("Trend DN-2",OBJPROP_COLOR,color.hi);

ObjectCreate("Trend DN-3",OBJ_TREND,0,0,0,0,0); 
ObjectSet("Trend DN-3",OBJPROP_COLOR,color.lo);


//----
return(0);
}
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{

ObjectsDeleteAll() ;

return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start()
{
//---- TODO: add your code here

double pr1,pr2, ps1,ps2, sr_range;

double r1,r2,r3,r4,r5,r6;
int rt1,rt2,rt3,rt4,rt5,rt6;
double s1,s2,s3,s4,s5,s6;
int st1,st2,st3,st4,st5,st6;


ObjectMove("Trend DN-0",0,Time[start.tl],Close[start.tl]);
ObjectMove("Trend DN-0",1,Time[end.tl ],Close[end.tl ]);
ObjectMove("Trend DN-1",0,Time[start.cl],Close[start.cl]);
ObjectMove("Trend DN-1",1,Time[end.cl],Close[end.cl]);
ObjectMove("Trend DN-2",0,Time[start.hi],High[start.hi]);
ObjectMove("Trend DN-2",1,Time[end.hi],High[end.hi]);
ObjectMove("Trend DN-3",0,Time[start.lo],Low[start.lo]);
ObjectMove("Trend DN-3",1,Time[end.lo],Low[end.lo]);


// Comment("pr1 ",pr1," pr2 ",pr2 ," ps1 ",ps1 ," ps2 ", ps2 ) ;


return(0);
}
//+------------------------------------------------------------------+

